/**
 * @file
 * vuo.image.get node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

#include "VuoImageGet.h"

const char *moduleName = "Get Image";
const char *moduleDescription = "Retrieves the image from the specified URL.";
const char *moduleKeywords[] = {
	"download", "open", "load", "import", "http", "url", "file",
	"photo", "picture", "bitmap", "texture", "icon",
	"png",
	"jpeg", "jpg",
	"gif",
	"bmp",
	"OpenEXR", "exr", "ilm",
	"hdr", "high", "dynamic", "range",
	"psd", "Photoshop",
	"raw", "cr2", "dng", "dcr", "nef", "raf", "mos", "kdc",
	"Targa", "tga"
};
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = true;
/// @todo when https://b33p.net/kosada/node/4018 is fixed, move the VuoImageGet dependencies into VuoImageGet.cc.
const char * moduleDependencies[] = {
	"c",
	"json",

	"VuoURL.bc",
		"curl",
			"crypto",
			"ssl",

	"VuoImageGet.bc",
		"FreeImage",

	"VuoGlContext",
	"VuoGlTexturePool",
	"OpenGL.framework"
};

void nodeEvent
(
		VuoInputData(VuoText, {"default":""}) imageURL,
		VuoOutputData(VuoImage) image
)
{
	*image = VuoImage_get(imageURL);
}
