/**
 * @file
 * vuo.math.scale node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

#include <float.h>

const char *moduleName = "Scale";
const char *moduleDescription = "";  /// @todo https://b33p.net/kosada/node/6023
const char *moduleKeywords[] = { };  /// @todo https://b33p.net/kosada/node/6023
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;

void nodeEvent
(
		VuoInputData(VuoReal,0.0) valueToScale,
		VuoInputData(VuoReal,0.0) startMin,
		VuoInputData(VuoReal,0.0) startMax,
		VuoInputData(VuoReal,0.0) endMin,
		VuoInputData(VuoReal,0.0) endMax,
		VuoOutputData(VuoReal) scaledValue
)
{
	VuoReal startRange = startMax - startMin;
	if (startRange == 0)
		startRange = DBL_MIN;
	VuoReal endRange = endMax - endMin;
	*scaledValue = (valueToScale - startMin) * endRange / startRange + endMin;
}
