/**
 * @file
 * vuo.vertices.make.triangle node implementation.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#include "node.h"

const char *moduleName = "Make Triangle Vertices";
const char *moduleDescription = "Creates vertices representing an equilateral triangle, pointing upward in the XY plane, with bottom edge length 1 in scene coordinates.";
const unsigned int moduleVersion = 100;
const bool nodeIsInterface = false;
const char *moduleKeywords[] = { "equilateral", "3-gon", "3gon" };
const char *moduleDependencies[] = { };

void nodeEvent
(
		VuoOutputData(VuoList_VuoVertices) vertices
)
{
	VuoList_VuoVertices verticesList = VuoListCreate_VuoVertices();
	VuoListAppendValue_VuoVertices(verticesList, VuoVertices_getEquilateralTriangle());
	*vertices = verticesList;
}
